Skip to content
GET/extensions/{extensionId}

Get public extension details

Returns all details for a public extension

Path Parameters

extensionIdstringrequired

Authentication: X-API-Key

Request

GET/extensions/{extensionId}
curl --request GET 'https://cloud.campai.com/api/extensions/{extensionId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Additional properties are not allowed.

colorstringrequired

pattern: ^#[0-9A-F]{6}$

namestringrequired

minLength: 1

maxLength: 60

infostringrequired

maxLength: 140

descriptionstringrequired

maxLength: 8092

installationsintegerrequired

minimum: 0

maximum: 9007199254740991

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "icon": {
    "resource": "string"
  },
  "color": "string",
  "categories": [
    "smartAccess"
  ],
  "name": "string",
  "info": "string",
  "website": "",
  "images": [
    {
      "resource": "string",
      "id": "string"
    }
  ],
  "description": "string",
  "permissions": {},
  "installations": 0,
  "features": {
    "synchronization": {
      "key": "string"
    }
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}